Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class BinaryOperator

    java.lang.Object
      org.jbpm.jpdl.el.impl.BinaryOperator

Direct Known Subclasses:
  AndOperator, ArithmeticOperator, DivideOperator, EqualityOperator, IntegerDivideOperator, ModulusOperator, OrOperator, RelationalOperator

    public abstract class BinaryOperator

extends java.lang.Object

This is the superclass for all binary operators

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`BinaryOperator()` Constructor

Method Summary
`abstract java.lang.Object` | `apply(java.lang.Object pLeft, java.lang.Object pRight, Logger pLogger)` Applies the operator to the given pair of values
`abstract java.lang.String` | `getOperatorSymbol()` Returns the symbol representing the operator
`boolean` | `shouldCoerceToBoolean()` Returns true if the operator expects its arguments to be coerced to Booleans.
`boolean` | `shouldEvaluate(java.lang.Object pLeft)` Returns true if evaluation is necessary given the specified Left value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryOperator

    public BinaryOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public abstract java.lang.String getOperatorSymbol()

  Returns the symbol representing the operator

### apply

    public abstract java.lang.Object apply(java.lang.Object pLeft,
                                           java.lang.Object pRight,
                                           Logger pLogger)
                                    throws ELException

  Applies the operator to the given pair of values

  Throws:
    `ELException`

### shouldEvaluate

    public boolean shouldEvaluate(java.lang.Object pLeft)

  Returns true if evaluation is necessary given the specified Left value. The And/OrOperators make use of this

### shouldCoerceToBoolean

    public boolean shouldCoerceToBoolean()

  Returns true if the operator expects its arguments to be coerced to Booleans. The And/Or operators set this to true.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD